## org.eclipse.datatools.connectivity.oda.design
Interface DesignPackage.Literals

Enclosing interface:
  DesignPackage

    public static interface DesignPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `AND_EXPRESSION` The meta object literal for the '`And Expression`' class.
`static org.eclipse.emf.ecore.EClass` `ATOMIC_EXPRESSION_CONTEXT` The meta object literal for the '`Atomic Expression Context`' class.
`static org.eclipse.emf.ecore.EReference` `ATOMIC_EXPRESSION_CONTEXT__ARGUMENTS` The meta object literal for the 'Arguments' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `ATOMIC_EXPRESSION_CONTEXT__OPTIONAL` The meta object literal for the 'Optional' attribute feature.
`static org.eclipse.emf.ecore.EReference` `ATOMIC_EXPRESSION_CONTEXT__VARIABLE` The meta object literal for the 'Variable' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `AXIS_ATTRIBUTES` The meta object literal for the '`Axis Attributes`' class.
`static org.eclipse.emf.ecore.EAttribute` `AXIS_ATTRIBUTES__AXIS_TYPE` The meta object literal for the 'Axis Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `AXIS_ATTRIBUTES__ON_COLUMN_LAYOUT` The meta object literal for the 'On Column Layout' attribute feature.
`static org.eclipse.emf.ecore.EReference` `AXIS_ATTRIBUTES__RELATED_COLUMNS` The meta object literal for the 'Related Columns' containment reference feature.
`static org.eclipse.emf.ecore.EEnum` `AXIS_TYPE` The meta object literal for the '`Axis Type`' enum.
`static org.eclipse.emf.ecore.EDataType` `AXIS_TYPE_OBJECT` The meta object literal for the 'Axis Type Object' data type.
`static org.eclipse.emf.ecore.EClass` `COLUMN_DEFINITION` The meta object literal for the '`Column Definition`' class.
`static org.eclipse.emf.ecore.EReference` `COLUMN_DEFINITION__ATTRIBUTES` The meta object literal for the 'Attributes' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `COLUMN_DEFINITION__MULTI_DIMENSION_ATTRIBUTES` The meta object literal for the 'Multi Dimension Attributes' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `COLUMN_DEFINITION__USAGE_HINTS` The meta object literal for the 'Usage Hints' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `COMPOSITE_FILTER_EXPRESSION` The meta object literal for the '`Composite Filter Expression`' class.
`static org.eclipse.emf.ecore.EReference` `COMPOSITE_FILTER_EXPRESSION__CHILDREN` The meta object literal for the 'Children' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `CUSTOM_DATA` The meta object literal for the '`Custom Data`' class.
`static org.eclipse.emf.ecore.EAttribute` `CUSTOM_DATA__DISPLAY_VALUE` The meta object literal for the 'Display Value' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CUSTOM_DATA__PROVIDER_ID` The meta object literal for the 'Provider Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CUSTOM_DATA__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` `CUSTOM_FILTER_EXPRESSION` The meta object literal for the '`Custom Filter Expression`' class.
`static org.eclipse.emf.ecore.EReference` `CUSTOM_FILTER_EXPRESSION__CONTEXT` The meta object literal for the 'Context' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `CUSTOM_FILTER_EXPRESSION__TYPE` The meta object literal for the 'Type' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `DATA_ACCESS_DESIGN` The meta object literal for the '`Data Access Design`' class.
`static org.eclipse.emf.ecore.EReference` `DATA_ACCESS_DESIGN__DATA_SET_DESIGN` The meta object literal for the 'Data Set Design' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `DATA_ELEMENT_ATTRIBUTES` The meta object literal for the '`Data Element Attributes`' class.
`static org.eclipse.emf.ecore.EReference` `DATA_ELEMENT_ATTRIBUTES__IDENTIFIER` The meta object literal for the 'Identifier' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_ELEMENT_ATTRIBUTES__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_ELEMENT_ATTRIBUTES__NATIVE_DATA_TYPE_CODE` The meta object literal for the 'Native Data Type Code' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_ELEMENT_ATTRIBUTES__NULLABILITY` The meta object literal for the 'Nullability' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_ELEMENT_ATTRIBUTES__POSITION` The meta object literal for the 'Position' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_ELEMENT_ATTRIBUTES__PRECISION` The meta object literal for the 'Precision' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_ELEMENT_ATTRIBUTES__SCALE` The meta object literal for the 'Scale' attribute feature.
`static org.eclipse.emf.ecore.EReference` `DATA_ELEMENT_ATTRIBUTES__UI_HINTS` The meta object literal for the 'Ui Hints' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `DATA_ELEMENT_IDENTIFIER` The meta object literal for the '`Data Element Identifier`' class.
`static org.eclipse.emf.ecore.EAttribute` `DATA_ELEMENT_IDENTIFIER__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_ELEMENT_IDENTIFIER__POSITION` The meta object literal for the 'Position' attribute feature.
`static org.eclipse.emf.ecore.EClass` `DATA_ELEMENT_IDENTIFIERS` The meta object literal for the '`Data Element Identifiers`' class.
`static org.eclipse.emf.ecore.EReference` `DATA_ELEMENT_IDENTIFIERS__IDENTIFIERS` The meta object literal for the 'Identifiers' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `DATA_ELEMENT_UI_HINTS` The meta object literal for the '`Data Element UI Hints`' class.
`static org.eclipse.emf.ecore.EAttribute` `DATA_ELEMENT_UI_HINTS__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_ELEMENT_UI_HINTS__DISPLAY_NAME` The meta object literal for the 'Display Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` `DATA_SET_DESIGN` The meta object literal for the '`Data Set Design`' class.
`static org.eclipse.emf.ecore.EReference` `DATA_SET_DESIGN__DATA_SOURCE_DESIGN` The meta object literal for the 'Data Source Design' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_SET_DESIGN__DISPLAY_NAME` The meta object literal for the 'Display Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_SET_DESIGN__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_SET_DESIGN__ODA_EXTENSION_DATA_SET_ID` The meta object literal for the 'Oda Extension Data Set Id' attribute feature.
`static org.eclipse.emf.ecore.EReference` `DATA_SET_DESIGN__PARAMETERS` The meta object literal for the 'Parameters' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_SET_DESIGN__PRIMARY_RESULT_SET_NAME` The meta object literal for the 'Primary Result Set Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `DATA_SET_DESIGN__PRIVATE_PROPERTIES` The meta object literal for the 'Private Properties' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `DATA_SET_DESIGN__PUBLIC_PROPERTIES` The meta object literal for the 'Public Properties' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `DATA_SET_DESIGN__QUERY` The meta object literal for the 'Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `DATA_SET_DESIGN__RESULT_SETS` The meta object literal for the 'Result Sets' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `DATA_SET_PARAMETERS` The meta object literal for the '`Data Set Parameters`' class.
`static org.eclipse.emf.ecore.EAttribute` `DATA_SET_PARAMETERS__DERIVED_META_DATA` The meta object literal for the 'Derived Meta Data' attribute feature.
`static org.eclipse.emf.ecore.EReference` `DATA_SET_PARAMETERS__PARAMETER_DEFINITIONS` The meta object literal for the 'Parameter Definitions' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `DATA_SET_QUERY` The meta object literal for the '`Data Set Query`' class.
`static org.eclipse.emf.ecore.EAttribute` `DATA_SET_QUERY__QUERY_TEXT` The meta object literal for the 'Query Text' attribute feature.
`static org.eclipse.emf.ecore.EClass` `DATA_SOURCE_DESIGN` The meta object literal for the '`Data Source Design`' class.
`static org.eclipse.emf.ecore.EAttribute` `DATA_SOURCE_DESIGN__DISPLAY_NAME` The meta object literal for the 'Display Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `DATA_SOURCE_DESIGN__HOST_RESOURCE_IDENTIFIERS` The meta object literal for the 'Host Resource Identifiers' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_SOURCE_DESIGN__LINKED_PROFILE_NAME` The meta object literal for the 'Linked Profile Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_SOURCE_DESIGN__LINKED_PROFILE_STORE_FILE_PATH` The meta object literal for the 'Linked Profile Store File Path' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_SOURCE_DESIGN__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_SOURCE_DESIGN__ODA_EXTENSION_DATA_SOURCE_ID` The meta object literal for the 'Oda Extension Data Source Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_SOURCE_DESIGN__ODA_EXTENSION_ID` The meta object literal for the 'Oda Extension Id' attribute feature.
`static org.eclipse.emf.ecore.EReference` `DATA_SOURCE_DESIGN__PRIVATE_PROPERTIES` The meta object literal for the 'Private Properties' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `DATA_SOURCE_DESIGN__PUBLIC_PROPERTIES` The meta object literal for the 'Public Properties' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `DATA_SOURCE_DESIGN__RESOURCE_FILE` The meta object literal for the 'Resource File' attribute feature.
`static org.eclipse.emf.ecore.EClass` `DESIGN_SESSION_REQUEST` The meta object literal for the '`Session Request`' class.
`static org.eclipse.emf.ecore.EReference` `DESIGN_SESSION_REQUEST__DATA_ACCESS_DESIGN` The meta object literal for the 'Data Access Design' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `DESIGN_SESSION_REQUEST__DESIGNER_STATE` The meta object literal for the 'Designer State' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `DESIGN_SESSION_REQUEST__EDITABLE` The meta object literal for the 'Editable' attribute feature.
`static org.eclipse.emf.ecore.EReference` `DESIGN_SESSION_REQUEST__SESSION_LOCALE` The meta object literal for the 'Session Locale' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `DESIGN_SESSION_RESPONSE` The meta object literal for the '`Session Response`' class.
`static org.eclipse.emf.ecore.EReference` `DESIGN_SESSION_RESPONSE__DATA_ACCESS_DESIGN` The meta object literal for the 'Data Access Design' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `DESIGN_SESSION_RESPONSE__DESIGNER_STATE` The meta object literal for the 'Designer State' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `DESIGN_SESSION_RESPONSE__SESSION_STATUS` The meta object literal for the 'Session Status' attribute feature.
`static org.eclipse.emf.ecore.EClass` `DESIGNER_STATE` The meta object literal for the '`Designer State`' class.
`static org.eclipse.emf.ecore.EReference` `DESIGNER_STATE__STATE_CONTENT` The meta object literal for the 'State Content' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `DESIGNER_STATE__VERSION` The meta object literal for the 'Version' attribute feature.
`static org.eclipse.emf.ecore.EClass` `DESIGNER_STATE_CONTENT` The meta object literal for the '`Designer State Content`' class.
`static org.eclipse.emf.ecore.EAttribute` `DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_BLOB` The meta object literal for the 'State Content As Blob' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_STRING` The meta object literal for the 'State Content As String' attribute feature.
`static org.eclipse.emf.ecore.EClass` `DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class.
`static org.eclipse.emf.ecore.EAttribute` `DOCUMENT_ROOT__MIXED` The meta object literal for the 'Mixed' attribute list feature.
`static org.eclipse.emf.ecore.EReference` `DOCUMENT_ROOT__ODA_DESIGN_SESSION` The meta object literal for the 'Oda Design Session' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The meta object literal for the 'XMLNS Prefix Map' map feature.
`static org.eclipse.emf.ecore.EReference` `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The meta object literal for the 'XSI Schema Location' map feature.
`static org.eclipse.emf.ecore.EClass` `DYNAMIC_FILTER_EXPRESSION` The meta object literal for the '`Dynamic Filter Expression`' class.
`static org.eclipse.emf.ecore.EReference` `DYNAMIC_FILTER_EXPRESSION__CONTEXT` The meta object literal for the 'Context' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `DYNAMIC_FILTER_EXPRESSION__DEFAULT_TYPE` The meta object literal for the 'Default Type' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `DYNAMIC_VALUES_QUERY` The meta object literal for the '`Dynamic Values Query`' class.
`static org.eclipse.emf.ecore.EReference` `DYNAMIC_VALUES_QUERY__DATA_SET_DESIGN` The meta object literal for the 'Data Set Design' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `DYNAMIC_VALUES_QUERY__DISPLAY_NAME_COLUMN` The meta object literal for the 'Display Name Column' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DYNAMIC_VALUES_QUERY__ENABLED` The meta object literal for the 'Enabled' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DYNAMIC_VALUES_QUERY__VALUE_COLUMN` The meta object literal for the 'Value Column' attribute feature.
`static org.eclipse.emf.ecore.EReference` `DYNAMIC_VALUES_QUERY__VALUE_COLUMN_IDENTIFIER` The meta object literal for the 'Value Column Identifier' containment reference feature.
`static org.eclipse.emf.ecore.EEnum` `ELEMENT_NULLABILITY` The meta object literal for the '`Element Nullability`' enum.
`static org.eclipse.emf.ecore.EDataType` `ELEMENT_NULLABILITY_OBJECT` The meta object literal for the 'Element Nullability Object' data type.
`static org.eclipse.emf.ecore.EClass` `EXPRESSION_ARGUMENTS` The meta object literal for the '`Expression Arguments`' class.
`static org.eclipse.emf.ecore.EReference` `EXPRESSION_ARGUMENTS__EXPRESSION_PARAMETERS` The meta object literal for the 'Expression Parameters' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EXPRESSION_PARAMETER_DEFINITION` The meta object literal for the '`Expression Parameter Definition`' class.
`static org.eclipse.emf.ecore.EReference` `EXPRESSION_PARAMETER_DEFINITION__DYNAMIC_INPUT_PARAMETER` The meta object literal for the 'Dynamic Input Parameter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `EXPRESSION_PARAMETER_DEFINITION__STATIC_VALUES` The meta object literal for the 'Static Values' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EXPRESSION_PARAMETERS` The meta object literal for the '`Expression Parameters`' class.
`static org.eclipse.emf.ecore.EReference` `EXPRESSION_PARAMETERS__PARAMETER_DEFINITIONS` The meta object literal for the 'Parameter Definitions' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `EXPRESSION_VARIABLE` The meta object literal for the '`Expression Variable`' class.
`static org.eclipse.emf.ecore.EAttribute` `EXPRESSION_VARIABLE__IDENTIFIER` The meta object literal for the 'Identifier' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EXPRESSION_VARIABLE__NATIVE_DATA_TYPE_CODE` The meta object literal for the 'Native Data Type Code' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EXPRESSION_VARIABLE__TYPE` The meta object literal for the 'Type' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `EXPRESSION_VARIABLE_TYPE` The meta object literal for the '`Expression Variable Type`' enum.
`static org.eclipse.emf.ecore.EDataType` `EXPRESSION_VARIABLE_TYPE_OBJECT` The meta object literal for the 'Expression Variable Type Object' data type.
`static org.eclipse.emf.ecore.EClass` `FILTER_EXPRESSION` The meta object literal for the '`Filter Expression`' class.
`static org.eclipse.emf.ecore.EAttribute` `FILTER_EXPRESSION__NEGATABLE` The meta object literal for the 'Negatable' attribute feature.
`static org.eclipse.emf.ecore.EClass` `FILTER_EXPRESSION_TYPE` The meta object literal for the '`Filter Expression Type`' class.
`static org.eclipse.emf.ecore.EAttribute` `FILTER_EXPRESSION_TYPE__DECLARING_EXTENSION_ID` The meta object literal for the 'Declaring Extension Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `FILTER_EXPRESSION_TYPE__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `HORIZONTAL_ALIGNMENT` The meta object literal for the '`Horizontal Alignment`' enum.
`static org.eclipse.emf.ecore.EDataType` `HORIZONTAL_ALIGNMENT_OBJECT` The meta object literal for the 'Horizontal Alignment Object' data type.
`static org.eclipse.emf.ecore.EClass` `INPUT_ELEMENT_ATTRIBUTES` The meta object literal for the '`Input Element Attributes`' class.
`static org.eclipse.emf.ecore.EAttribute` `INPUT_ELEMENT_ATTRIBUTES__DEFAULT_SCALAR_VALUE` The meta object literal for the 'Default Scalar Value' attribute feature.
`static org.eclipse.emf.ecore.EReference` `INPUT_ELEMENT_ATTRIBUTES__DEFAULT_VALUES` The meta object literal for the 'Default Values' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `INPUT_ELEMENT_ATTRIBUTES__DYNAMIC_VALUE_CHOICES` The meta object literal for the 'Dynamic Value Choices' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `INPUT_ELEMENT_ATTRIBUTES__EDITABLE` The meta object literal for the 'Editable' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `INPUT_ELEMENT_ATTRIBUTES__MASKS_VALUE` The meta object literal for the 'Masks Value' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `INPUT_ELEMENT_ATTRIBUTES__OPTIONAL` The meta object literal for the 'Optional' attribute feature.
`static org.eclipse.emf.ecore.EReference` `INPUT_ELEMENT_ATTRIBUTES__STATIC_VALUE_CHOICES` The meta object literal for the 'Static Value Choices' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `INPUT_ELEMENT_ATTRIBUTES__UI_HINTS` The meta object literal for the 'Ui Hints' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `INPUT_ELEMENT_UI_HINTS` The meta object literal for the '`Input Element UI Hints`' class.
`static org.eclipse.emf.ecore.EAttribute` `INPUT_ELEMENT_UI_HINTS__AUTO_SUGGEST_THRESHOLD` The meta object literal for the 'Auto Suggest Threshold' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `INPUT_ELEMENT_UI_HINTS__PROMPT_STYLE` The meta object literal for the 'Prompt Style' attribute feature.
`static org.eclipse.emf.ecore.EClass` `INPUT_PARAMETER_ATTRIBUTES` The meta object literal for the '`Input Parameter Attributes`' class.
`static org.eclipse.emf.ecore.EReference` `INPUT_PARAMETER_ATTRIBUTES__ELEMENT_ATTRIBUTES` The meta object literal for the 'Element Attributes' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `INPUT_PARAMETER_ATTRIBUTES__UI_HINTS` The meta object literal for the 'Ui Hints' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `INPUT_PARAMETER_UI_HINTS` The meta object literal for the '`Input Parameter UI Hints`' class.
`static org.eclipse.emf.ecore.EAttribute` `INPUT_PARAMETER_UI_HINTS__GROUP_PROMPT_DISPLAY_NAME` The meta object literal for the 'Group Prompt Display Name' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `INPUT_PROMPT_CONTROL_STYLE` The meta object literal for the '`Input Prompt Control Style`' enum.
`static org.eclipse.emf.ecore.EDataType` `INPUT_PROMPT_CONTROL_STYLE_OBJECT` The meta object literal for the 'Input Prompt Control Style Object' data type.
`static org.eclipse.emf.ecore.EClass` `LOCALE` The meta object literal for the '`Locale`' class.
`static org.eclipse.emf.ecore.EAttribute` `LOCALE__COUNTRY` The meta object literal for the 'Country' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `LOCALE__LANGUAGE` The meta object literal for the 'Language' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `LOCALE__VARIANT` The meta object literal for the 'Variant' attribute feature.
`static org.eclipse.emf.ecore.EClass` `NAME_VALUE_PAIR` The meta object literal for the '`Name Value Pair`' class.
`static org.eclipse.emf.ecore.EAttribute` `NAME_VALUE_PAIR__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `NAME_VALUE_PAIR__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` `NOT_EXPRESSION` The meta object literal for the '`Not Expression`' class.
`static org.eclipse.emf.ecore.EReference` `NOT_EXPRESSION__NEGATING_EXPRESSION` The meta object literal for the 'Negating Expression' containment reference feature.
`static org.eclipse.emf.ecore.EEnum` `NULL_ORDERING_TYPE` The meta object literal for the '`Null Ordering Type`' enum.
`static org.eclipse.emf.ecore.EDataType` `NULL_ORDERING_TYPE_OBJECT` The meta object literal for the 'Null Ordering Type Object' data type.
`static org.eclipse.emf.ecore.EEnum` `ODA_COMPLEX_DATA_TYPE` The meta object literal for the '`Oda Complex Data Type`' enum.
`static org.eclipse.emf.ecore.EDataType` `ODA_COMPLEX_DATA_TYPE_OBJECT` The meta object literal for the 'Oda Complex Data Type Object' data type.
`static org.eclipse.emf.ecore.EClass` `ODA_DESIGN_SESSION` The meta object literal for the '`Oda Design Session`' class.
`static org.eclipse.emf.ecore.EReference` `ODA_DESIGN_SESSION__REQUEST` The meta object literal for the 'Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `ODA_DESIGN_SESSION__RESPONSE` The meta object literal for the 'Response' containment reference feature.
`static org.eclipse.emf.ecore.EEnum` `ODA_SCALAR_DATA_TYPE` The meta object literal for the '`Oda Scalar Data Type`' enum.
`static org.eclipse.emf.ecore.EDataType` `ODA_SCALAR_DATA_TYPE_OBJECT` The meta object literal for the 'Oda Scalar Data Type Object' data type.
`static org.eclipse.emf.ecore.EClass` `OR_EXPRESSION` The meta object literal for the '`Or Expression`' class.
`static org.eclipse.emf.ecore.EClass` `OUTPUT_ELEMENT_ATTRIBUTES` The meta object literal for the '`Output Element Attributes`' class.
`static org.eclipse.emf.ecore.EReference` `OUTPUT_ELEMENT_ATTRIBUTES__FORMATTING_HINTS` The meta object literal for the 'Formatting Hints' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `OUTPUT_ELEMENT_ATTRIBUTES__HELP_TEXT` The meta object literal for the 'Help Text' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `OUTPUT_ELEMENT_ATTRIBUTES__LABEL` The meta object literal for the 'Label' attribute feature.
`static org.eclipse.emf.ecore.EClass` `PARAMETER_DEFINITION` The meta object literal for the '`Parameter Definition`' class.
`static org.eclipse.emf.ecore.EReference` `PARAMETER_DEFINITION__ATTRIBUTES` The meta object literal for the 'Attributes' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `PARAMETER_DEFINITION__FIELDS` The meta object literal for the 'Fields' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `PARAMETER_DEFINITION__IN_OUT_MODE` The meta object literal for the 'In Out Mode' attribute feature.
`static org.eclipse.emf.ecore.EReference` `PARAMETER_DEFINITION__INPUT_ATTRIBUTES` The meta object literal for the 'Input Attributes' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `PARAMETER_DEFINITION__OUTPUT_USAGE_HINTS` The meta object literal for the 'Output Usage Hints' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `PARAMETER_FIELD_DEFINITION` The meta object literal for the '`Parameter Field Definition`' class.
`static org.eclipse.emf.ecore.EReference` `PARAMETER_FIELD_DEFINITION__ATTRIBUTES` The meta object literal for the 'Attributes' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `PARAMETER_FIELD_DEFINITION__INPUT_ATTRIBUTES` The meta object literal for the 'Input Attributes' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `PARAMETER_FIELD_DEFINITION__OUTPUT_USAGE_HINTS` The meta object literal for the 'Output Usage Hints' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `PARAMETER_FIELDS` The meta object literal for the '`Parameter Fields`' class.
`static org.eclipse.emf.ecore.EReference` `PARAMETER_FIELDS__FIELD_COLLECTION` The meta object literal for the 'Field Collection' containment reference list feature.
`static org.eclipse.emf.ecore.EEnum` `PARAMETER_MODE` The meta object literal for the '`Parameter Mode`' enum.
`static org.eclipse.emf.ecore.EDataType` `PARAMETER_MODE_OBJECT` The meta object literal for the 'Parameter Mode Object' data type.
`static org.eclipse.emf.ecore.EClass` `PROPERTIES` The meta object literal for the '`Properties`' class.
`static org.eclipse.emf.ecore.EReference` `PROPERTIES__PROPERTIES` The meta object literal for the 'Properties' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `PROPERTY` The meta object literal for the '`Property`' class.
`static org.eclipse.emf.ecore.EReference` `PROPERTY__DESIGN_ATTRIBUTES` The meta object literal for the 'Design Attributes' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `PROPERTY__NAME_VALUE` The meta object literal for the 'Name Value' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `PROPERTY_ATTRIBUTES` The meta object literal for the '`Property Attributes`' class.
`static org.eclipse.emf.ecore.EAttribute` `PROPERTY_ATTRIBUTES__DERIVED_META_DATA` The meta object literal for the 'Derived Meta Data' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `PROPERTY_ATTRIBUTES__DISPLAY_NAME` The meta object literal for the 'Display Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `PROPERTY_ATTRIBUTES__ELEMENT_ATTRIBUTES` The meta object literal for the 'Element Attributes' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `RESOURCE_IDENTIFIERS` The meta object literal for the '`Resource Identifiers`' class.
`static org.eclipse.emf.ecore.EAttribute` `RESOURCE_IDENTIFIERS__APPL_RESOURCE_BASE_URI_STRING` The meta object literal for the 'Appl Resource Base URI String' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `RESOURCE_IDENTIFIERS__DESIGN_RESOURCE_BASE_URI_STRING` The meta object literal for the 'Design Resource Base URI String' attribute feature.
`static org.eclipse.emf.ecore.EClass` `RESULT_SET_COLUMNS` The meta object literal for the '`Result Set Columns`' class.
`static org.eclipse.emf.ecore.EReference` `RESULT_SET_COLUMNS__RESULT_COLUMN_DEFINITIONS` The meta object literal for the 'Result Column Definitions' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `RESULT_SET_CRITERIA` The meta object literal for the '`Result Set Criteria`' class.
`static org.eclipse.emf.ecore.EReference` `RESULT_SET_CRITERIA__FILTER_SPECIFICATION` The meta object literal for the 'Filter Specification' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `RESULT_SET_CRITERIA__ROW_ORDERING` The meta object literal for the 'Row Ordering' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `RESULT_SET_DEFINITION` The meta object literal for the '`Result Set Definition`' class.
`static org.eclipse.emf.ecore.EReference` `RESULT_SET_DEFINITION__CRITERIA` The meta object literal for the 'Criteria' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `RESULT_SET_DEFINITION__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `RESULT_SET_DEFINITION__RESULT_SET_COLUMNS` The meta object literal for the 'Result Set Columns' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `RESULT_SETS` The meta object literal for the '`Result Sets`' class.
`static org.eclipse.emf.ecore.EAttribute` `RESULT_SETS__DERIVED_META_DATA` The meta object literal for the 'Derived Meta Data' attribute feature.
`static org.eclipse.emf.ecore.EReference` `RESULT_SETS__RESULT_SET_DEFINITIONS` The meta object literal for the 'Result Set Definitions' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `RESULT_SUBSET` The meta object literal for the '`Result Subset`' class.
`static org.eclipse.emf.ecore.EReference` `RESULT_SUBSET__COLUMN_IDENTIFIERS` The meta object literal for the 'Column Identifiers' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `RESULT_SUBSET__DATA_SET_DESIGN` The meta object literal for the 'Data Set Design' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `RESULT_SUBSET__RESULT_SET_NAME` The meta object literal for the 'Result Set Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SCALAR_VALUE_CHOICES` The meta object literal for the '`Scalar Value Choices`' class.
`static org.eclipse.emf.ecore.EReference` `SCALAR_VALUE_CHOICES__SCALAR_VALUES` The meta object literal for the 'Scalar Values' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `SCALAR_VALUE_DEFINITION` The meta object literal for the '`Scalar Value Definition`' class.
`static org.eclipse.emf.ecore.EAttribute` `SCALAR_VALUE_DEFINITION__DISPLAY_NAME` The meta object literal for the 'Display Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SCALAR_VALUE_DEFINITION__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `SESSION_STATUS` The meta object literal for the '`Session Status`' enum.
`static org.eclipse.emf.ecore.EDataType` `SESSION_STATUS_OBJECT` The meta object literal for the 'Session Status Object' data type.
`static org.eclipse.emf.ecore.EEnum` `SORT_DIRECTION_TYPE` The meta object literal for the '`Sort Direction Type`' enum.
`static org.eclipse.emf.ecore.EDataType` `SORT_DIRECTION_TYPE_OBJECT` The meta object literal for the 'Sort Direction Type Object' data type.
`static org.eclipse.emf.ecore.EClass` `SORT_KEY` The meta object literal for the '`Sort Key`' class.
`static org.eclipse.emf.ecore.EReference` `SORT_KEY__COLUMN_IDENTIFIER` The meta object literal for the 'Column Identifier' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SORT_KEY__COLUMN_NAME` The meta object literal for the 'Column Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SORT_KEY__COLUMN_POSITION` The meta object literal for the 'Column Position' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SORT_KEY__NULL_VALUE_ORDERING` The meta object literal for the 'Null Value Ordering' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SORT_KEY__OPTIONAL` The meta object literal for the 'Optional' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SORT_KEY__SORT_DIRECTION` The meta object literal for the 'Sort Direction' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SORT_SPECIFICATION` The meta object literal for the '`Sort Specification`' class.
`static org.eclipse.emf.ecore.EReference` `SORT_SPECIFICATION__SORT_KEYS` The meta object literal for the 'Sort Keys' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `STATIC_VALUES` The meta object literal for the '`Static Values`' class.
`static org.eclipse.emf.ecore.EAttribute` `STATIC_VALUES__VALUES` The meta object literal for the 'Values' attribute list feature.
`static org.eclipse.emf.ecore.EEnum` `TEXT_FORMAT_TYPE` The meta object literal for the '`Text Format Type`' enum.
`static org.eclipse.emf.ecore.EDataType` `TEXT_FORMAT_TYPE_OBJECT` The meta object literal for the 'Text Format Type Object' data type.
`static org.eclipse.emf.ecore.EEnum` `TEXT_WRAP_TYPE` The meta object literal for the '`Text Wrap Type`' enum.
`static org.eclipse.emf.ecore.EDataType` `TEXT_WRAP_TYPE_OBJECT` The meta object literal for the 'Text Wrap Type Object' data type.
`static org.eclipse.emf.ecore.EClass` `VALUE_FORMAT_HINTS` The meta object literal for the '`Value Format Hints`' class.
`static org.eclipse.emf.ecore.EAttribute` `VALUE_FORMAT_HINTS__DISPLAY_FORMAT` The meta object literal for the 'Display Format' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `VALUE_FORMAT_HINTS__DISPLAY_SIZE` The meta object literal for the 'Display Size' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `VALUE_FORMAT_HINTS__HORIZONTAL_ALIGNMENT` The meta object literal for the 'Horizontal Alignment' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `VALUE_FORMAT_HINTS__TEXT_FORMAT_TYPE` The meta object literal for the 'Text Format Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `VALUE_FORMAT_HINTS__TEXT_WRAP_TYPE` The meta object literal for the 'Text Wrap Type' attribute feature.

Field Detail

### AND_EXPRESSION

    static final org.eclipse.emf.ecore.EClass AND_EXPRESSION

  The meta object literal for the '`And Expression`' class.

  See Also:
    `AndExpressionImpl`, `DesignPackageImpl.getAndExpression()`

### ATOMIC_EXPRESSION_CONTEXT

    static final org.eclipse.emf.ecore.EClass ATOMIC_EXPRESSION_CONTEXT

  The meta object literal for the '`Atomic Expression Context`' class.

  See Also:
    `AtomicExpressionContextImpl`, `DesignPackageImpl.getAtomicExpressionContext()`

### ATOMIC_EXPRESSION_CONTEXT__OPTIONAL

    static final org.eclipse.emf.ecore.EAttribute ATOMIC_EXPRESSION_CONTEXT__OPTIONAL

  The meta object literal for the 'Optional' attribute feature.

### ATOMIC_EXPRESSION_CONTEXT__VARIABLE

    static final org.eclipse.emf.ecore.EReference ATOMIC_EXPRESSION_CONTEXT__VARIABLE

  The meta object literal for the 'Variable' containment reference feature.

### ATOMIC_EXPRESSION_CONTEXT__ARGUMENTS

    static final org.eclipse.emf.ecore.EReference ATOMIC_EXPRESSION_CONTEXT__ARGUMENTS

  The meta object literal for the 'Arguments' containment reference feature.

### AXIS_ATTRIBUTES

    static final org.eclipse.emf.ecore.EClass AXIS_ATTRIBUTES

  The meta object literal for the '`Axis Attributes`' class.

  See Also:
    `AxisAttributesImpl`, `DesignPackageImpl.getAxisAttributes()`

### AXIS_ATTRIBUTES__AXIS_TYPE

    static final org.eclipse.emf.ecore.EAttribute AXIS_ATTRIBUTES__AXIS_TYPE

  The meta object literal for the 'Axis Type' attribute feature.

### AXIS_ATTRIBUTES__ON_COLUMN_LAYOUT

    static final org.eclipse.emf.ecore.EAttribute AXIS_ATTRIBUTES__ON_COLUMN_LAYOUT

  The meta object literal for the 'On Column Layout' attribute feature.

### AXIS_ATTRIBUTES__RELATED_COLUMNS

    static final org.eclipse.emf.ecore.EReference AXIS_ATTRIBUTES__RELATED_COLUMNS

  The meta object literal for the 'Related Columns' containment reference feature.

### COLUMN_DEFINITION

    static final org.eclipse.emf.ecore.EClass COLUMN_DEFINITION

  The meta object literal for the '`Column Definition`' class.

  See Also:
    `ColumnDefinitionImpl`, `DesignPackageImpl.getColumnDefinition()`

### COLUMN_DEFINITION__ATTRIBUTES

    static final org.eclipse.emf.ecore.EReference COLUMN_DEFINITION__ATTRIBUTES

  The meta object literal for the 'Attributes' containment reference feature.

### COLUMN_DEFINITION__USAGE_HINTS

    static final org.eclipse.emf.ecore.EReference COLUMN_DEFINITION__USAGE_HINTS

  The meta object literal for the 'Usage Hints' containment reference feature.

### COLUMN_DEFINITION__MULTI_DIMENSION_ATTRIBUTES

    static final org.eclipse.emf.ecore.EReference COLUMN_DEFINITION__MULTI_DIMENSION_ATTRIBUTES

  The meta object literal for the 'Multi Dimension Attributes' containment reference feature.

### COMPOSITE_FILTER_EXPRESSION

    static final org.eclipse.emf.ecore.EClass COMPOSITE_FILTER_EXPRESSION

  The meta object literal for the '`Composite Filter Expression`' class.

  See Also:
    `CompositeFilterExpressionImpl`, `DesignPackageImpl.getCompositeFilterExpression()`

### COMPOSITE_FILTER_EXPRESSION__CHILDREN

    static final org.eclipse.emf.ecore.EReference COMPOSITE_FILTER_EXPRESSION__CHILDREN

  The meta object literal for the 'Children' containment reference list feature.

### CUSTOM_DATA

    static final org.eclipse.emf.ecore.EClass CUSTOM_DATA

  The meta object literal for the '`Custom Data`' class.

  See Also:
    `CustomDataImpl`, `DesignPackageImpl.getCustomData()`

### CUSTOM_DATA__PROVIDER_ID

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_DATA__PROVIDER_ID

  The meta object literal for the 'Provider Id' attribute feature.

### CUSTOM_DATA__VALUE

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_DATA__VALUE

  The meta object literal for the 'Value' attribute feature.

### CUSTOM_DATA__DISPLAY_VALUE

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_DATA__DISPLAY_VALUE

  The meta object literal for the 'Display Value' attribute feature.

### CUSTOM_FILTER_EXPRESSION

    static final org.eclipse.emf.ecore.EClass CUSTOM_FILTER_EXPRESSION

  The meta object literal for the '`Custom Filter Expression`' class.

  See Also:
    `CustomFilterExpressionImpl`, `DesignPackageImpl.getCustomFilterExpression()`

### CUSTOM_FILTER_EXPRESSION__TYPE

    static final org.eclipse.emf.ecore.EReference CUSTOM_FILTER_EXPRESSION__TYPE

  The meta object literal for the 'Type' containment reference feature.

### CUSTOM_FILTER_EXPRESSION__CONTEXT

    static final org.eclipse.emf.ecore.EReference CUSTOM_FILTER_EXPRESSION__CONTEXT

  The meta object literal for the 'Context' containment reference feature.

### DATA_ACCESS_DESIGN

    static final org.eclipse.emf.ecore.EClass DATA_ACCESS_DESIGN

  The meta object literal for the '`Data Access Design`' class.

  See Also:
    `DataAccessDesignImpl`, `DesignPackageImpl.getDataAccessDesign()`

### DATA_ACCESS_DESIGN__DATA_SET_DESIGN

    static final org.eclipse.emf.ecore.EReference DATA_ACCESS_DESIGN__DATA_SET_DESIGN

  The meta object literal for the 'Data Set Design' containment reference feature.

### DATA_ELEMENT_ATTRIBUTES

    static final org.eclipse.emf.ecore.EClass DATA_ELEMENT_ATTRIBUTES

  The meta object literal for the '`Data Element Attributes`' class.

  See Also:
    `DataElementAttributesImpl`, `DesignPackageImpl.getDataElementAttributes()`

### DATA_ELEMENT_ATTRIBUTES__IDENTIFIER

    static final org.eclipse.emf.ecore.EReference DATA_ELEMENT_ATTRIBUTES__IDENTIFIER

  The meta object literal for the 'Identifier' containment reference feature.

### DATA_ELEMENT_ATTRIBUTES__NAME

    static final org.eclipse.emf.ecore.EAttribute DATA_ELEMENT_ATTRIBUTES__NAME

  The meta object literal for the 'Name' attribute feature.

### DATA_ELEMENT_ATTRIBUTES__POSITION

    static final org.eclipse.emf.ecore.EAttribute DATA_ELEMENT_ATTRIBUTES__POSITION

  The meta object literal for the 'Position' attribute feature.

### DATA_ELEMENT_ATTRIBUTES__NATIVE_DATA_TYPE_CODE

    static final org.eclipse.emf.ecore.EAttribute DATA_ELEMENT_ATTRIBUTES__NATIVE_DATA_TYPE_CODE

  The meta object literal for the 'Native Data Type Code' attribute feature.

### DATA_ELEMENT_ATTRIBUTES__PRECISION

    static final org.eclipse.emf.ecore.EAttribute DATA_ELEMENT_ATTRIBUTES__PRECISION

  The meta object literal for the 'Precision' attribute feature.

### DATA_ELEMENT_ATTRIBUTES__SCALE

    static final org.eclipse.emf.ecore.EAttribute DATA_ELEMENT_ATTRIBUTES__SCALE

  The meta object literal for the 'Scale' attribute feature.

### DATA_ELEMENT_ATTRIBUTES__NULLABILITY

    static final org.eclipse.emf.ecore.EAttribute DATA_ELEMENT_ATTRIBUTES__NULLABILITY

  The meta object literal for the 'Nullability' attribute feature.

### DATA_ELEMENT_ATTRIBUTES__UI_HINTS

    static final org.eclipse.emf.ecore.EReference DATA_ELEMENT_ATTRIBUTES__UI_HINTS

  The meta object literal for the 'Ui Hints' containment reference feature.

### DATA_ELEMENT_IDENTIFIER

    static final org.eclipse.emf.ecore.EClass DATA_ELEMENT_IDENTIFIER

  The meta object literal for the '`Data Element Identifier`' class.

  See Also:
    `DataElementIdentifierImpl`, `DesignPackageImpl.getDataElementIdentifier()`

### DATA_ELEMENT_IDENTIFIER__NAME

    static final org.eclipse.emf.ecore.EAttribute DATA_ELEMENT_IDENTIFIER__NAME

  The meta object literal for the 'Name' attribute feature.

### DATA_ELEMENT_IDENTIFIER__POSITION

    static final org.eclipse.emf.ecore.EAttribute DATA_ELEMENT_IDENTIFIER__POSITION

  The meta object literal for the 'Position' attribute feature.

### DATA_ELEMENT_IDENTIFIERS

    static final org.eclipse.emf.ecore.EClass DATA_ELEMENT_IDENTIFIERS

  The meta object literal for the '`Data Element Identifiers`' class.

  See Also:
    `DataElementIdentifiersImpl`, `DesignPackageImpl.getDataElementIdentifiers()`

### DATA_ELEMENT_IDENTIFIERS__IDENTIFIERS

    static final org.eclipse.emf.ecore.EReference DATA_ELEMENT_IDENTIFIERS__IDENTIFIERS

  The meta object literal for the 'Identifiers' containment reference list feature.

### DATA_ELEMENT_UI_HINTS

    static final org.eclipse.emf.ecore.EClass DATA_ELEMENT_UI_HINTS

  The meta object literal for the '`Data Element UI Hints`' class.

  See Also:
    `DataElementUIHintsImpl`, `DesignPackageImpl.getDataElementUIHints()`

### DATA_ELEMENT_UI_HINTS__DISPLAY_NAME

    static final org.eclipse.emf.ecore.EAttribute DATA_ELEMENT_UI_HINTS__DISPLAY_NAME

  The meta object literal for the 'Display Name' attribute feature.

### DATA_ELEMENT_UI_HINTS__DESCRIPTION

    static final org.eclipse.emf.ecore.EAttribute DATA_ELEMENT_UI_HINTS__DESCRIPTION

  The meta object literal for the 'Description' attribute feature.

### DATA_SET_DESIGN

    static final org.eclipse.emf.ecore.EClass DATA_SET_DESIGN

  The meta object literal for the '`Data Set Design`' class.

  See Also:
    `DataSetDesignImpl`, `DesignPackageImpl.getDataSetDesign()`

### DATA_SET_DESIGN__NAME

    static final org.eclipse.emf.ecore.EAttribute DATA_SET_DESIGN__NAME

  The meta object literal for the 'Name' attribute feature.

### DATA_SET_DESIGN__ODA_EXTENSION_DATA_SET_ID

    static final org.eclipse.emf.ecore.EAttribute DATA_SET_DESIGN__ODA_EXTENSION_DATA_SET_ID

  The meta object literal for the 'Oda Extension Data Set Id' attribute feature.

### DATA_SET_DESIGN__DATA_SOURCE_DESIGN

    static final org.eclipse.emf.ecore.EReference DATA_SET_DESIGN__DATA_SOURCE_DESIGN

  The meta object literal for the 'Data Source Design' containment reference feature.

### DATA_SET_DESIGN__QUERY

    static final org.eclipse.emf.ecore.EReference DATA_SET_DESIGN__QUERY

  The meta object literal for the 'Query' containment reference feature.

### DATA_SET_DESIGN__DISPLAY_NAME

    static final org.eclipse.emf.ecore.EAttribute DATA_SET_DESIGN__DISPLAY_NAME

  The meta object literal for the 'Display Name' attribute feature.

### DATA_SET_DESIGN__PUBLIC_PROPERTIES

    static final org.eclipse.emf.ecore.EReference DATA_SET_DESIGN__PUBLIC_PROPERTIES

  The meta object literal for the 'Public Properties' containment reference feature.

### DATA_SET_DESIGN__PRIVATE_PROPERTIES

    static final org.eclipse.emf.ecore.EReference DATA_SET_DESIGN__PRIVATE_PROPERTIES

  The meta object literal for the 'Private Properties' containment reference feature.

### DATA_SET_DESIGN__RESULT_SETS

    static final org.eclipse.emf.ecore.EReference DATA_SET_DESIGN__RESULT_SETS

  The meta object literal for the 'Result Sets' containment reference feature.

### DATA_SET_DESIGN__PRIMARY_RESULT_SET_NAME

    static final org.eclipse.emf.ecore.EAttribute DATA_SET_DESIGN__PRIMARY_RESULT_SET_NAME

  The meta object literal for the 'Primary Result Set Name' attribute feature.

### DATA_SET_DESIGN__PARAMETERS

    static final org.eclipse.emf.ecore.EReference DATA_SET_DESIGN__PARAMETERS

  The meta object literal for the 'Parameters' containment reference feature.

### DATA_SET_PARAMETERS

    static final org.eclipse.emf.ecore.EClass DATA_SET_PARAMETERS

  The meta object literal for the '`Data Set Parameters`' class.

  See Also:
    `DataSetParametersImpl`, `DesignPackageImpl.getDataSetParameters()`

### DATA_SET_PARAMETERS__PARAMETER_DEFINITIONS

    static final org.eclipse.emf.ecore.EReference DATA_SET_PARAMETERS__PARAMETER_DEFINITIONS

  The meta object literal for the 'Parameter Definitions' containment reference list feature.

### DATA_SET_PARAMETERS__DERIVED_META_DATA

    static final org.eclipse.emf.ecore.EAttribute DATA_SET_PARAMETERS__DERIVED_META_DATA

  The meta object literal for the 'Derived Meta Data' attribute feature.

### DATA_SET_QUERY

    static final org.eclipse.emf.ecore.EClass DATA_SET_QUERY

  The meta object literal for the '`Data Set Query`' class.

  See Also:
    `DataSetQueryImpl`, `DesignPackageImpl.getDataSetQuery()`

### DATA_SET_QUERY__QUERY_TEXT

    static final org.eclipse.emf.ecore.EAttribute DATA_SET_QUERY__QUERY_TEXT

  The meta object literal for the 'Query Text' attribute feature.

### DATA_SOURCE_DESIGN

    static final org.eclipse.emf.ecore.EClass DATA_SOURCE_DESIGN

  The meta object literal for the '`Data Source Design`' class.

  See Also:
    `DataSourceDesignImpl`, `DesignPackageImpl.getDataSourceDesign()`

### DATA_SOURCE_DESIGN__NAME

    static final org.eclipse.emf.ecore.EAttribute DATA_SOURCE_DESIGN__NAME

  The meta object literal for the 'Name' attribute feature.

### DATA_SOURCE_DESIGN__ODA_EXTENSION_ID

    static final org.eclipse.emf.ecore.EAttribute DATA_SOURCE_DESIGN__ODA_EXTENSION_ID

  The meta object literal for the 'Oda Extension Id' attribute feature.

### DATA_SOURCE_DESIGN__ODA_EXTENSION_DATA_SOURCE_ID

    static final org.eclipse.emf.ecore.EAttribute DATA_SOURCE_DESIGN__ODA_EXTENSION_DATA_SOURCE_ID

  The meta object literal for the 'Oda Extension Data Source Id' attribute feature.

### DATA_SOURCE_DESIGN__DISPLAY_NAME

    static final org.eclipse.emf.ecore.EAttribute DATA_SOURCE_DESIGN__DISPLAY_NAME

  The meta object literal for the 'Display Name' attribute feature.

### DATA_SOURCE_DESIGN__PUBLIC_PROPERTIES

    static final org.eclipse.emf.ecore.EReference DATA_SOURCE_DESIGN__PUBLIC_PROPERTIES

  The meta object literal for the 'Public Properties' containment reference feature.

### DATA_SOURCE_DESIGN__PRIVATE_PROPERTIES

    static final org.eclipse.emf.ecore.EReference DATA_SOURCE_DESIGN__PRIVATE_PROPERTIES

  The meta object literal for the 'Private Properties' containment reference feature.

### DATA_SOURCE_DESIGN__LINKED_PROFILE_NAME

    static final org.eclipse.emf.ecore.EAttribute DATA_SOURCE_DESIGN__LINKED_PROFILE_NAME

  The meta object literal for the 'Linked Profile Name' attribute feature.

### DATA_SOURCE_DESIGN__LINKED_PROFILE_STORE_FILE_PATH

    static final org.eclipse.emf.ecore.EAttribute DATA_SOURCE_DESIGN__LINKED_PROFILE_STORE_FILE_PATH

  The meta object literal for the 'Linked Profile Store File Path' attribute feature.

### DATA_SOURCE_DESIGN__HOST_RESOURCE_IDENTIFIERS

    static final org.eclipse.emf.ecore.EReference DATA_SOURCE_DESIGN__HOST_RESOURCE_IDENTIFIERS

  The meta object literal for the 'Host Resource Identifiers' containment reference feature.

### DATA_SOURCE_DESIGN__RESOURCE_FILE

    static final org.eclipse.emf.ecore.EAttribute DATA_SOURCE_DESIGN__RESOURCE_FILE

  The meta object literal for the 'Resource File' attribute feature.

### DESIGNER_STATE

    static final org.eclipse.emf.ecore.EClass DESIGNER_STATE

  The meta object literal for the '`Designer State`' class.

  See Also:
    `DesignerStateImpl`, `DesignPackageImpl.getDesignerState()`

### DESIGNER_STATE__VERSION

    static final org.eclipse.emf.ecore.EAttribute DESIGNER_STATE__VERSION

  The meta object literal for the 'Version' attribute feature.

### DESIGNER_STATE__STATE_CONTENT

    static final org.eclipse.emf.ecore.EReference DESIGNER_STATE__STATE_CONTENT

  The meta object literal for the 'State Content' containment reference feature.

### DESIGNER_STATE_CONTENT

    static final org.eclipse.emf.ecore.EClass DESIGNER_STATE_CONTENT

  The meta object literal for the '`Designer State Content`' class.

  See Also:
    `DesignerStateContentImpl`, `DesignPackageImpl.getDesignerStateContent()`

### DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_STRING

    static final org.eclipse.emf.ecore.EAttribute DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_STRING

  The meta object literal for the 'State Content As String' attribute feature.

### DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_BLOB

    static final org.eclipse.emf.ecore.EAttribute DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_BLOB

  The meta object literal for the 'State Content As Blob' attribute feature.

### DESIGN_SESSION_REQUEST

    static final org.eclipse.emf.ecore.EClass DESIGN_SESSION_REQUEST

  The meta object literal for the '`Session Request`' class.

  See Also:
    `DesignSessionRequestImpl`, `DesignPackageImpl.getDesignSessionRequest()`

### DESIGN_SESSION_REQUEST__DATA_ACCESS_DESIGN

    static final org.eclipse.emf.ecore.EReference DESIGN_SESSION_REQUEST__DATA_ACCESS_DESIGN

  The meta object literal for the 'Data Access Design' containment reference feature.

### DESIGN_SESSION_REQUEST__EDITABLE

    static final org.eclipse.emf.ecore.EAttribute DESIGN_SESSION_REQUEST__EDITABLE

  The meta object literal for the 'Editable' attribute feature.

### DESIGN_SESSION_REQUEST__SESSION_LOCALE

    static final org.eclipse.emf.ecore.EReference DESIGN_SESSION_REQUEST__SESSION_LOCALE

  The meta object literal for the 'Session Locale' containment reference feature.

### DESIGN_SESSION_REQUEST__DESIGNER_STATE

    static final org.eclipse.emf.ecore.EReference DESIGN_SESSION_REQUEST__DESIGNER_STATE

  The meta object literal for the 'Designer State' containment reference feature.

### DESIGN_SESSION_RESPONSE

    static final org.eclipse.emf.ecore.EClass DESIGN_SESSION_RESPONSE

  The meta object literal for the '`Session Response`' class.

  See Also:
    `DesignSessionResponseImpl`, `DesignPackageImpl.getDesignSessionResponse()`

### DESIGN_SESSION_RESPONSE__SESSION_STATUS

    static final org.eclipse.emf.ecore.EAttribute DESIGN_SESSION_RESPONSE__SESSION_STATUS

  The meta object literal for the 'Session Status' attribute feature.

### DESIGN_SESSION_RESPONSE__DATA_ACCESS_DESIGN

    static final org.eclipse.emf.ecore.EReference DESIGN_SESSION_RESPONSE__DATA_ACCESS_DESIGN

  The meta object literal for the 'Data Access Design' containment reference feature.

### DESIGN_SESSION_RESPONSE__DESIGNER_STATE

    static final org.eclipse.emf.ecore.EReference DESIGN_SESSION_RESPONSE__DESIGNER_STATE

  The meta object literal for the 'Designer State' containment reference feature.

### DOCUMENT_ROOT

    static final org.eclipse.emf.ecore.EClass DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `DesignPackageImpl.getDocumentRoot()`

### DOCUMENT_ROOT__MIXED

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The meta object literal for the 'XMLNS Prefix Map' map feature.

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The meta object literal for the 'XSI Schema Location' map feature.

### DOCUMENT_ROOT__ODA_DESIGN_SESSION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ODA_DESIGN_SESSION

  The meta object literal for the 'Oda Design Session' containment reference feature.

### DYNAMIC_FILTER_EXPRESSION

    static final org.eclipse.emf.ecore.EClass DYNAMIC_FILTER_EXPRESSION

  The meta object literal for the '`Dynamic Filter Expression`' class.

  See Also:
    `DynamicFilterExpressionImpl`, `DesignPackageImpl.getDynamicFilterExpression()`

### DYNAMIC_FILTER_EXPRESSION__CONTEXT

    static final org.eclipse.emf.ecore.EReference DYNAMIC_FILTER_EXPRESSION__CONTEXT

  The meta object literal for the 'Context' containment reference feature.

### DYNAMIC_FILTER_EXPRESSION__DEFAULT_TYPE

    static final org.eclipse.emf.ecore.EReference DYNAMIC_FILTER_EXPRESSION__DEFAULT_TYPE

  The meta object literal for the 'Default Type' containment reference feature.

### DYNAMIC_VALUES_QUERY

    static final org.eclipse.emf.ecore.EClass DYNAMIC_VALUES_QUERY

  The meta object literal for the '`Dynamic Values Query`' class.

  See Also:
    `DynamicValuesQueryImpl`, `DesignPackageImpl.getDynamicValuesQuery()`

### DYNAMIC_VALUES_QUERY__DATA_SET_DESIGN

    static final org.eclipse.emf.ecore.EReference DYNAMIC_VALUES_QUERY__DATA_SET_DESIGN

  The meta object literal for the 'Data Set Design' containment reference feature.

### DYNAMIC_VALUES_QUERY__ENABLED

    static final org.eclipse.emf.ecore.EAttribute DYNAMIC_VALUES_QUERY__ENABLED

  The meta object literal for the 'Enabled' attribute feature.

### DYNAMIC_VALUES_QUERY__VALUE_COLUMN_IDENTIFIER

    static final org.eclipse.emf.ecore.EReference DYNAMIC_VALUES_QUERY__VALUE_COLUMN_IDENTIFIER

  The meta object literal for the 'Value Column Identifier' containment reference feature.

### DYNAMIC_VALUES_QUERY__VALUE_COLUMN

    static final org.eclipse.emf.ecore.EAttribute DYNAMIC_VALUES_QUERY__VALUE_COLUMN

  The meta object literal for the 'Value Column' attribute feature.

### DYNAMIC_VALUES_QUERY__DISPLAY_NAME_COLUMN

    static final org.eclipse.emf.ecore.EAttribute DYNAMIC_VALUES_QUERY__DISPLAY_NAME_COLUMN

  The meta object literal for the 'Display Name Column' attribute feature.

### EXPRESSION_ARGUMENTS

    static final org.eclipse.emf.ecore.EClass EXPRESSION_ARGUMENTS

  The meta object literal for the '`Expression Arguments`' class.

  See Also:
    `ExpressionArgumentsImpl`, `DesignPackageImpl.getExpressionArguments()`

### EXPRESSION_ARGUMENTS__EXPRESSION_PARAMETERS

    static final org.eclipse.emf.ecore.EReference EXPRESSION_ARGUMENTS__EXPRESSION_PARAMETERS

  The meta object literal for the 'Expression Parameters' containment reference feature.

### EXPRESSION_PARAMETER_DEFINITION

    static final org.eclipse.emf.ecore.EClass EXPRESSION_PARAMETER_DEFINITION

  The meta object literal for the '`Expression Parameter Definition`' class.

  See Also:
    `ExpressionParameterDefinitionImpl`, `DesignPackageImpl.getExpressionParameterDefinition()`

### EXPRESSION_PARAMETER_DEFINITION__STATIC_VALUES

    static final org.eclipse.emf.ecore.EReference EXPRESSION_PARAMETER_DEFINITION__STATIC_VALUES

  The meta object literal for the 'Static Values' containment reference feature.

### EXPRESSION_PARAMETER_DEFINITION__DYNAMIC_INPUT_PARAMETER

    static final org.eclipse.emf.ecore.EReference EXPRESSION_PARAMETER_DEFINITION__DYNAMIC_INPUT_PARAMETER

  The meta object literal for the 'Dynamic Input Parameter' containment reference feature.

### EXPRESSION_PARAMETERS

    static final org.eclipse.emf.ecore.EClass EXPRESSION_PARAMETERS

  The meta object literal for the '`Expression Parameters`' class.

  See Also:
    `ExpressionParametersImpl`, `DesignPackageImpl.getExpressionParameters()`

### EXPRESSION_PARAMETERS__PARAMETER_DEFINITIONS

    static final org.eclipse.emf.ecore.EReference EXPRESSION_PARAMETERS__PARAMETER_DEFINITIONS

  The meta object literal for the 'Parameter Definitions' containment reference list feature.

### EXPRESSION_VARIABLE

    static final org.eclipse.emf.ecore.EClass EXPRESSION_VARIABLE

  The meta object literal for the '`Expression Variable`' class.

  See Also:
    `ExpressionVariableImpl`, `DesignPackageImpl.getExpressionVariable()`

### EXPRESSION_VARIABLE__TYPE

    static final org.eclipse.emf.ecore.EAttribute EXPRESSION_VARIABLE__TYPE

  The meta object literal for the 'Type' attribute feature.

### EXPRESSION_VARIABLE__IDENTIFIER

    static final org.eclipse.emf.ecore.EAttribute EXPRESSION_VARIABLE__IDENTIFIER

  The meta object literal for the 'Identifier' attribute feature.

### EXPRESSION_VARIABLE__NATIVE_DATA_TYPE_CODE

    static final org.eclipse.emf.ecore.EAttribute EXPRESSION_VARIABLE__NATIVE_DATA_TYPE_CODE

  The meta object literal for the 'Native Data Type Code' attribute feature.

### FILTER_EXPRESSION

    static final org.eclipse.emf.ecore.EClass FILTER_EXPRESSION

  The meta object literal for the '`Filter Expression`' class.

  See Also:
    `FilterExpressionImpl`, `DesignPackageImpl.getFilterExpression()`

### FILTER_EXPRESSION__NEGATABLE

    static final org.eclipse.emf.ecore.EAttribute FILTER_EXPRESSION__NEGATABLE

  The meta object literal for the 'Negatable' attribute feature.

### FILTER_EXPRESSION_TYPE

    static final org.eclipse.emf.ecore.EClass FILTER_EXPRESSION_TYPE

  The meta object literal for the '`Filter Expression Type`' class.

  See Also:
    `FilterExpressionTypeImpl`, `DesignPackageImpl.getFilterExpressionType()`

### FILTER_EXPRESSION_TYPE__DECLARING_EXTENSION_ID

    static final org.eclipse.emf.ecore.EAttribute FILTER_EXPRESSION_TYPE__DECLARING_EXTENSION_ID

  The meta object literal for the 'Declaring Extension Id' attribute feature.

### FILTER_EXPRESSION_TYPE__ID

    static final org.eclipse.emf.ecore.EAttribute FILTER_EXPRESSION_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### INPUT_ELEMENT_ATTRIBUTES

    static final org.eclipse.emf.ecore.EClass INPUT_ELEMENT_ATTRIBUTES

  The meta object literal for the '`Input Element Attributes`' class.

  See Also:
    `InputElementAttributesImpl`, `DesignPackageImpl.getInputElementAttributes()`

### INPUT_ELEMENT_ATTRIBUTES__DEFAULT_SCALAR_VALUE

    static final org.eclipse.emf.ecore.EAttribute INPUT_ELEMENT_ATTRIBUTES__DEFAULT_SCALAR_VALUE

  The meta object literal for the 'Default Scalar Value' attribute feature.

### INPUT_ELEMENT_ATTRIBUTES__DEFAULT_VALUES

    static final org.eclipse.emf.ecore.EReference INPUT_ELEMENT_ATTRIBUTES__DEFAULT_VALUES

  The meta object literal for the 'Default Values' containment reference feature.

### INPUT_ELEMENT_ATTRIBUTES__EDITABLE

    static final org.eclipse.emf.ecore.EAttribute INPUT_ELEMENT_ATTRIBUTES__EDITABLE

  The meta object literal for the 'Editable' attribute feature.

### INPUT_ELEMENT_ATTRIBUTES__OPTIONAL

    static final org.eclipse.emf.ecore.EAttribute INPUT_ELEMENT_ATTRIBUTES__OPTIONAL

  The meta object literal for the 'Optional' attribute feature.

### INPUT_ELEMENT_ATTRIBUTES__MASKS_VALUE

    static final org.eclipse.emf.ecore.EAttribute INPUT_ELEMENT_ATTRIBUTES__MASKS_VALUE

  The meta object literal for the 'Masks Value' attribute feature.

### INPUT_ELEMENT_ATTRIBUTES__STATIC_VALUE_CHOICES

    static final org.eclipse.emf.ecore.EReference INPUT_ELEMENT_ATTRIBUTES__STATIC_VALUE_CHOICES

  The meta object literal for the 'Static Value Choices' containment reference feature.

### INPUT_ELEMENT_ATTRIBUTES__DYNAMIC_VALUE_CHOICES

    static final org.eclipse.emf.ecore.EReference INPUT_ELEMENT_ATTRIBUTES__DYNAMIC_VALUE_CHOICES

  The meta object literal for the 'Dynamic Value Choices' containment reference feature.

### INPUT_ELEMENT_ATTRIBUTES__UI_HINTS

    static final org.eclipse.emf.ecore.EReference INPUT_ELEMENT_ATTRIBUTES__UI_HINTS

  The meta object literal for the 'Ui Hints' containment reference feature.

### INPUT_ELEMENT_UI_HINTS

    static final org.eclipse.emf.ecore.EClass INPUT_ELEMENT_UI_HINTS

  The meta object literal for the '`Input Element UI Hints`' class.

  See Also:
    `InputElementUIHintsImpl`, `DesignPackageImpl.getInputElementUIHints()`

### INPUT_ELEMENT_UI_HINTS__PROMPT_STYLE

    static final org.eclipse.emf.ecore.EAttribute INPUT_ELEMENT_UI_HINTS__PROMPT_STYLE

  The meta object literal for the 'Prompt Style' attribute feature.

### INPUT_ELEMENT_UI_HINTS__AUTO_SUGGEST_THRESHOLD

    static final org.eclipse.emf.ecore.EAttribute INPUT_ELEMENT_UI_HINTS__AUTO_SUGGEST_THRESHOLD

  The meta object literal for the 'Auto Suggest Threshold' attribute feature.

### INPUT_PARAMETER_ATTRIBUTES

    static final org.eclipse.emf.ecore.EClass INPUT_PARAMETER_ATTRIBUTES

  The meta object literal for the '`Input Parameter Attributes`' class.

  See Also:
    `InputParameterAttributesImpl`, `DesignPackageImpl.getInputParameterAttributes()`

### INPUT_PARAMETER_ATTRIBUTES__ELEMENT_ATTRIBUTES

    static final org.eclipse.emf.ecore.EReference INPUT_PARAMETER_ATTRIBUTES__ELEMENT_ATTRIBUTES

  The meta object literal for the 'Element Attributes' containment reference feature.

### INPUT_PARAMETER_ATTRIBUTES__UI_HINTS

    static final org.eclipse.emf.ecore.EReference INPUT_PARAMETER_ATTRIBUTES__UI_HINTS

  The meta object literal for the 'Ui Hints' containment reference feature.

### INPUT_PARAMETER_UI_HINTS

    static final org.eclipse.emf.ecore.EClass INPUT_PARAMETER_UI_HINTS

  The meta object literal for the '`Input Parameter UI Hints`' class.

  See Also:
    `InputParameterUIHintsImpl`, `DesignPackageImpl.getInputParameterUIHints()`

### INPUT_PARAMETER_UI_HINTS__GROUP_PROMPT_DISPLAY_NAME

    static final org.eclipse.emf.ecore.EAttribute INPUT_PARAMETER_UI_HINTS__GROUP_PROMPT_DISPLAY_NAME

  The meta object literal for the 'Group Prompt Display Name' attribute feature.

### LOCALE

    static final org.eclipse.emf.ecore.EClass LOCALE

  The meta object literal for the '`Locale`' class.

  See Also:
    `LocaleImpl`, `DesignPackageImpl.getLocale()`

### LOCALE__LANGUAGE

    static final org.eclipse.emf.ecore.EAttribute LOCALE__LANGUAGE

  The meta object literal for the 'Language' attribute feature.

### LOCALE__COUNTRY

    static final org.eclipse.emf.ecore.EAttribute LOCALE__COUNTRY

  The meta object literal for the 'Country' attribute feature.

### LOCALE__VARIANT

    static final org.eclipse.emf.ecore.EAttribute LOCALE__VARIANT

  The meta object literal for the 'Variant' attribute feature.

### NAME_VALUE_PAIR

    static final org.eclipse.emf.ecore.EClass NAME_VALUE_PAIR

  The meta object literal for the '`Name Value Pair`' class.

  See Also:
    `NameValuePairImpl`, `DesignPackageImpl.getNameValuePair()`

### NAME_VALUE_PAIR__NAME

    static final org.eclipse.emf.ecore.EAttribute NAME_VALUE_PAIR__NAME

  The meta object literal for the 'Name' attribute feature.

### NAME_VALUE_PAIR__VALUE

    static final org.eclipse.emf.ecore.EAttribute NAME_VALUE_PAIR__VALUE

  The meta object literal for the 'Value' attribute feature.

### NOT_EXPRESSION

    static final org.eclipse.emf.ecore.EClass NOT_EXPRESSION

  The meta object literal for the '`Not Expression`' class.

  See Also:
    `NotExpressionImpl`, `DesignPackageImpl.getNotExpression()`

### NOT_EXPRESSION__NEGATING_EXPRESSION

    static final org.eclipse.emf.ecore.EReference NOT_EXPRESSION__NEGATING_EXPRESSION

  The meta object literal for the 'Negating Expression' containment reference feature.

### ODA_DESIGN_SESSION

    static final org.eclipse.emf.ecore.EClass ODA_DESIGN_SESSION

  The meta object literal for the '`Oda Design Session`' class.

  See Also:
    `OdaDesignSessionImpl`, `DesignPackageImpl.getOdaDesignSession()`

### ODA_DESIGN_SESSION__REQUEST

    static final org.eclipse.emf.ecore.EReference ODA_DESIGN_SESSION__REQUEST

  The meta object literal for the 'Request' containment reference feature.

### ODA_DESIGN_SESSION__RESPONSE

    static final org.eclipse.emf.ecore.EReference ODA_DESIGN_SESSION__RESPONSE

  The meta object literal for the 'Response' containment reference feature.

### OR_EXPRESSION

    static final org.eclipse.emf.ecore.EClass OR_EXPRESSION

  The meta object literal for the '`Or Expression`' class.

  See Also:
    `OrExpressionImpl`, `DesignPackageImpl.getOrExpression()`

### OUTPUT_ELEMENT_ATTRIBUTES

    static final org.eclipse.emf.ecore.EClass OUTPUT_ELEMENT_ATTRIBUTES

  The meta object literal for the '`Output Element Attributes`' class.

  See Also:
    `OutputElementAttributesImpl`, `DesignPackageImpl.getOutputElementAttributes()`

### OUTPUT_ELEMENT_ATTRIBUTES__LABEL

    static final org.eclipse.emf.ecore.EAttribute OUTPUT_ELEMENT_ATTRIBUTES__LABEL

  The meta object literal for the 'Label' attribute feature.

### OUTPUT_ELEMENT_ATTRIBUTES__FORMATTING_HINTS

    static final org.eclipse.emf.ecore.EReference OUTPUT_ELEMENT_ATTRIBUTES__FORMATTING_HINTS

  The meta object literal for the 'Formatting Hints' containment reference feature.

### OUTPUT_ELEMENT_ATTRIBUTES__HELP_TEXT

    static final org.eclipse.emf.ecore.EAttribute OUTPUT_ELEMENT_ATTRIBUTES__HELP_TEXT

  The meta object literal for the 'Help Text' attribute feature.

### PARAMETER_DEFINITION

    static final org.eclipse.emf.ecore.EClass PARAMETER_DEFINITION

  The meta object literal for the '`Parameter Definition`' class.

  See Also:
    `ParameterDefinitionImpl`, `DesignPackageImpl.getParameterDefinition()`

### PARAMETER_DEFINITION__IN_OUT_MODE

    static final org.eclipse.emf.ecore.EAttribute PARAMETER_DEFINITION__IN_OUT_MODE

  The meta object literal for the 'In Out Mode' attribute feature.

### PARAMETER_DEFINITION__ATTRIBUTES

    static final org.eclipse.emf.ecore.EReference PARAMETER_DEFINITION__ATTRIBUTES

  The meta object literal for the 'Attributes' containment reference feature.

### PARAMETER_DEFINITION__INPUT_ATTRIBUTES

    static final org.eclipse.emf.ecore.EReference PARAMETER_DEFINITION__INPUT_ATTRIBUTES

  The meta object literal for the 'Input Attributes' containment reference feature.

### PARAMETER_DEFINITION__OUTPUT_USAGE_HINTS

    static final org.eclipse.emf.ecore.EReference PARAMETER_DEFINITION__OUTPUT_USAGE_HINTS

  The meta object literal for the 'Output Usage Hints' containment reference feature.

### PARAMETER_DEFINITION__FIELDS

    static final org.eclipse.emf.ecore.EReference PARAMETER_DEFINITION__FIELDS

  The meta object literal for the 'Fields' containment reference feature.

### PARAMETER_FIELD_DEFINITION

    static final org.eclipse.emf.ecore.EClass PARAMETER_FIELD_DEFINITION

  The meta object literal for the '`Parameter Field Definition`' class.

  See Also:
    `ParameterFieldDefinitionImpl`, `DesignPackageImpl.getParameterFieldDefinition()`

### PARAMETER_FIELD_DEFINITION__ATTRIBUTES

    static final org.eclipse.emf.ecore.EReference PARAMETER_FIELD_DEFINITION__ATTRIBUTES

  The meta object literal for the 'Attributes' containment reference feature.

### PARAMETER_FIELD_DEFINITION__INPUT_ATTRIBUTES

    static final org.eclipse.emf.ecore.EReference PARAMETER_FIELD_DEFINITION__INPUT_ATTRIBUTES

  The meta object literal for the 'Input Attributes' containment reference feature.

### PARAMETER_FIELD_DEFINITION__OUTPUT_USAGE_HINTS

    static final org.eclipse.emf.ecore.EReference PARAMETER_FIELD_DEFINITION__OUTPUT_USAGE_HINTS

  The meta object literal for the 'Output Usage Hints' containment reference feature.

### PARAMETER_FIELDS

    static final org.eclipse.emf.ecore.EClass PARAMETER_FIELDS

  The meta object literal for the '`Parameter Fields`' class.

  See Also:
    `ParameterFieldsImpl`, `DesignPackageImpl.getParameterFields()`

### PARAMETER_FIELDS__FIELD_COLLECTION

    static final org.eclipse.emf.ecore.EReference PARAMETER_FIELDS__FIELD_COLLECTION

  The meta object literal for the 'Field Collection' containment reference list feature.

### PROPERTIES

    static final org.eclipse.emf.ecore.EClass PROPERTIES

  The meta object literal for the '`Properties`' class.

  See Also:
    `PropertiesImpl`, `DesignPackageImpl.getProperties()`

### PROPERTIES__PROPERTIES

    static final org.eclipse.emf.ecore.EReference PROPERTIES__PROPERTIES

  The meta object literal for the 'Properties' containment reference list feature.

### PROPERTY

    static final org.eclipse.emf.ecore.EClass PROPERTY

  The meta object literal for the '`Property`' class.

  See Also:
    `PropertyImpl`, `DesignPackageImpl.getProperty()`

### PROPERTY__NAME_VALUE

    static final org.eclipse.emf.ecore.EReference PROPERTY__NAME_VALUE

  The meta object literal for the 'Name Value' containment reference feature.

### PROPERTY__DESIGN_ATTRIBUTES

    static final org.eclipse.emf.ecore.EReference PROPERTY__DESIGN_ATTRIBUTES

  The meta object literal for the 'Design Attributes' containment reference feature.

### PROPERTY_ATTRIBUTES

    static final org.eclipse.emf.ecore.EClass PROPERTY_ATTRIBUTES

  The meta object literal for the '`Property Attributes`' class.

  See Also:
    `PropertyAttributesImpl`, `DesignPackageImpl.getPropertyAttributes()`

### PROPERTY_ATTRIBUTES__DISPLAY_NAME

    static final org.eclipse.emf.ecore.EAttribute PROPERTY_ATTRIBUTES__DISPLAY_NAME

  The meta object literal for the 'Display Name' attribute feature.

### PROPERTY_ATTRIBUTES__ELEMENT_ATTRIBUTES

    static final org.eclipse.emf.ecore.EReference PROPERTY_ATTRIBUTES__ELEMENT_ATTRIBUTES

  The meta object literal for the 'Element Attributes' containment reference feature.

### PROPERTY_ATTRIBUTES__DERIVED_META_DATA

    static final org.eclipse.emf.ecore.EAttribute PROPERTY_ATTRIBUTES__DERIVED_META_DATA

  The meta object literal for the 'Derived Meta Data' attribute feature.

### RESOURCE_IDENTIFIERS

    static final org.eclipse.emf.ecore.EClass RESOURCE_IDENTIFIERS

  The meta object literal for the '`Resource Identifiers`' class.

  See Also:
    `ResourceIdentifiersImpl`, `DesignPackageImpl.getResourceIdentifiers()`

### RESOURCE_IDENTIFIERS__APPL_RESOURCE_BASE_URI_STRING

    static final org.eclipse.emf.ecore.EAttribute RESOURCE_IDENTIFIERS__APPL_RESOURCE_BASE_URI_STRING

  The meta object literal for the 'Appl Resource Base URI String' attribute feature.

### RESOURCE_IDENTIFIERS__DESIGN_RESOURCE_BASE_URI_STRING

    static final org.eclipse.emf.ecore.EAttribute RESOURCE_IDENTIFIERS__DESIGN_RESOURCE_BASE_URI_STRING

  The meta object literal for the 'Design Resource Base URI String' attribute feature.

### RESULT_SET_COLUMNS

    static final org.eclipse.emf.ecore.EClass RESULT_SET_COLUMNS

  The meta object literal for the '`Result Set Columns`' class.

  See Also:
    `ResultSetColumnsImpl`, `DesignPackageImpl.getResultSetColumns()`

### RESULT_SET_COLUMNS__RESULT_COLUMN_DEFINITIONS

    static final org.eclipse.emf.ecore.EReference RESULT_SET_COLUMNS__RESULT_COLUMN_DEFINITIONS

  The meta object literal for the 'Result Column Definitions' containment reference list feature.

### RESULT_SET_CRITERIA

    static final org.eclipse.emf.ecore.EClass RESULT_SET_CRITERIA

  The meta object literal for the '`Result Set Criteria`' class.

  See Also:
    `ResultSetCriteriaImpl`, `DesignPackageImpl.getResultSetCriteria()`

### RESULT_SET_CRITERIA__FILTER_SPECIFICATION

    static final org.eclipse.emf.ecore.EReference RESULT_SET_CRITERIA__FILTER_SPECIFICATION

  The meta object literal for the 'Filter Specification' containment reference feature.

### RESULT_SET_CRITERIA__ROW_ORDERING

    static final org.eclipse.emf.ecore.EReference RESULT_SET_CRITERIA__ROW_ORDERING

  The meta object literal for the 'Row Ordering' containment reference feature.

### RESULT_SET_DEFINITION

    static final org.eclipse.emf.ecore.EClass RESULT_SET_DEFINITION

  The meta object literal for the '`Result Set Definition`' class.

  See Also:
    `ResultSetDefinitionImpl`, `DesignPackageImpl.getResultSetDefinition()`

### RESULT_SET_DEFINITION__NAME

    static final org.eclipse.emf.ecore.EAttribute RESULT_SET_DEFINITION__NAME

  The meta object literal for the 'Name' attribute feature.

### RESULT_SET_DEFINITION__RESULT_SET_COLUMNS

    static final org.eclipse.emf.ecore.EReference RESULT_SET_DEFINITION__RESULT_SET_COLUMNS

  The meta object literal for the 'Result Set Columns' containment reference feature.

### RESULT_SET_DEFINITION__CRITERIA

    static final org.eclipse.emf.ecore.EReference RESULT_SET_DEFINITION__CRITERIA

  The meta object literal for the 'Criteria' containment reference feature.

### RESULT_SETS

    static final org.eclipse.emf.ecore.EClass RESULT_SETS

  The meta object literal for the '`Result Sets`' class.

  See Also:
    `ResultSetsImpl`, `DesignPackageImpl.getResultSets()`

### RESULT_SETS__RESULT_SET_DEFINITIONS

    static final org.eclipse.emf.ecore.EReference RESULT_SETS__RESULT_SET_DEFINITIONS

  The meta object literal for the 'Result Set Definitions' containment reference list feature.

### RESULT_SETS__DERIVED_META_DATA

    static final org.eclipse.emf.ecore.EAttribute RESULT_SETS__DERIVED_META_DATA

  The meta object literal for the 'Derived Meta Data' attribute feature.

### RESULT_SUBSET

    static final org.eclipse.emf.ecore.EClass RESULT_SUBSET

  The meta object literal for the '`Result Subset`' class.

  See Also:
    `ResultSubsetImpl`, `DesignPackageImpl.getResultSubset()`

### RESULT_SUBSET__DATA_SET_DESIGN

    static final org.eclipse.emf.ecore.EReference RESULT_SUBSET__DATA_SET_DESIGN

  The meta object literal for the 'Data Set Design' containment reference feature.

### RESULT_SUBSET__RESULT_SET_NAME

    static final org.eclipse.emf.ecore.EAttribute RESULT_SUBSET__RESULT_SET_NAME

  The meta object literal for the 'Result Set Name' attribute feature.

### RESULT_SUBSET__COLUMN_IDENTIFIERS

    static final org.eclipse.emf.ecore.EReference RESULT_SUBSET__COLUMN_IDENTIFIERS

  The meta object literal for the 'Column Identifiers' containment reference feature.

### SCALAR_VALUE_CHOICES

    static final org.eclipse.emf.ecore.EClass SCALAR_VALUE_CHOICES

  The meta object literal for the '`Scalar Value Choices`' class.

  See Also:
    `ScalarValueChoicesImpl`, `DesignPackageImpl.getScalarValueChoices()`

### SCALAR_VALUE_CHOICES__SCALAR_VALUES

    static final org.eclipse.emf.ecore.EReference SCALAR_VALUE_CHOICES__SCALAR_VALUES

  The meta object literal for the 'Scalar Values' containment reference list feature.

### SCALAR_VALUE_DEFINITION

    static final org.eclipse.emf.ecore.EClass SCALAR_VALUE_DEFINITION

  The meta object literal for the '`Scalar Value Definition`' class.

  See Also:
    `ScalarValueDefinitionImpl`, `DesignPackageImpl.getScalarValueDefinition()`

### SCALAR_VALUE_DEFINITION__VALUE

    static final org.eclipse.emf.ecore.EAttribute SCALAR_VALUE_DEFINITION__VALUE

  The meta object literal for the 'Value' attribute feature.

### SCALAR_VALUE_DEFINITION__DISPLAY_NAME

    static final org.eclipse.emf.ecore.EAttribute SCALAR_VALUE_DEFINITION__DISPLAY_NAME

  The meta object literal for the 'Display Name' attribute feature.

### SORT_KEY

    static final org.eclipse.emf.ecore.EClass SORT_KEY

  The meta object literal for the '`Sort Key`' class.

  See Also:
    `SortKeyImpl`, `DesignPackageImpl.getSortKey()`

### SORT_KEY__COLUMN_IDENTIFIER

    static final org.eclipse.emf.ecore.EReference SORT_KEY__COLUMN_IDENTIFIER

  The meta object literal for the 'Column Identifier' containment reference feature.

### SORT_KEY__COLUMN_NAME

    static final org.eclipse.emf.ecore.EAttribute SORT_KEY__COLUMN_NAME

  The meta object literal for the 'Column Name' attribute feature.

### SORT_KEY__COLUMN_POSITION

    static final org.eclipse.emf.ecore.EAttribute SORT_KEY__COLUMN_POSITION

  The meta object literal for the 'Column Position' attribute feature.

### SORT_KEY__SORT_DIRECTION

    static final org.eclipse.emf.ecore.EAttribute SORT_KEY__SORT_DIRECTION

  The meta object literal for the 'Sort Direction' attribute feature.

### SORT_KEY__NULL_VALUE_ORDERING

    static final org.eclipse.emf.ecore.EAttribute SORT_KEY__NULL_VALUE_ORDERING

  The meta object literal for the 'Null Value Ordering' attribute feature.

### SORT_KEY__OPTIONAL

    static final org.eclipse.emf.ecore.EAttribute SORT_KEY__OPTIONAL

  The meta object literal for the 'Optional' attribute feature.

### SORT_SPECIFICATION

    static final org.eclipse.emf.ecore.EClass SORT_SPECIFICATION

  The meta object literal for the '`Sort Specification`' class.

  See Also:
    `SortSpecificationImpl`, `DesignPackageImpl.getSortSpecification()`

### SORT_SPECIFICATION__SORT_KEYS

    static final org.eclipse.emf.ecore.EReference SORT_SPECIFICATION__SORT_KEYS

  The meta object literal for the 'Sort Keys' containment reference list feature.

### STATIC_VALUES

    static final org.eclipse.emf.ecore.EClass STATIC_VALUES

  The meta object literal for the '`Static Values`' class.

  See Also:
    `StaticValuesImpl`, `DesignPackageImpl.getStaticValues()`

### STATIC_VALUES__VALUES

    static final org.eclipse.emf.ecore.EAttribute STATIC_VALUES__VALUES

  The meta object literal for the 'Values' attribute list feature.

### VALUE_FORMAT_HINTS

    static final org.eclipse.emf.ecore.EClass VALUE_FORMAT_HINTS

  The meta object literal for the '`Value Format Hints`' class.

  See Also:
    `ValueFormatHintsImpl`, `DesignPackageImpl.getValueFormatHints()`

### VALUE_FORMAT_HINTS__DISPLAY_SIZE

    static final org.eclipse.emf.ecore.EAttribute VALUE_FORMAT_HINTS__DISPLAY_SIZE

  The meta object literal for the 'Display Size' attribute feature.

### VALUE_FORMAT_HINTS__DISPLAY_FORMAT

    static final org.eclipse.emf.ecore.EAttribute VALUE_FORMAT_HINTS__DISPLAY_FORMAT

  The meta object literal for the 'Display Format' attribute feature.

### VALUE_FORMAT_HINTS__TEXT_FORMAT_TYPE

    static final org.eclipse.emf.ecore.EAttribute VALUE_FORMAT_HINTS__TEXT_FORMAT_TYPE

  The meta object literal for the 'Text Format Type' attribute feature.

### VALUE_FORMAT_HINTS__HORIZONTAL_ALIGNMENT

    static final org.eclipse.emf.ecore.EAttribute VALUE_FORMAT_HINTS__HORIZONTAL_ALIGNMENT

  The meta object literal for the 'Horizontal Alignment' attribute feature.

### VALUE_FORMAT_HINTS__TEXT_WRAP_TYPE

    static final org.eclipse.emf.ecore.EAttribute VALUE_FORMAT_HINTS__TEXT_WRAP_TYPE

  The meta object literal for the 'Text Wrap Type' attribute feature.

### AXIS_TYPE

    static final org.eclipse.emf.ecore.EEnum AXIS_TYPE

  The meta object literal for the '`Axis Type`' enum.

  See Also:
    `AxisType`, `DesignPackageImpl.getAxisType()`

### ELEMENT_NULLABILITY

    static final org.eclipse.emf.ecore.EEnum ELEMENT_NULLABILITY

  The meta object literal for the '`Element Nullability`' enum.

  See Also:
    `ElementNullability`, `DesignPackageImpl.getElementNullability()`

### EXPRESSION_VARIABLE_TYPE

    static final org.eclipse.emf.ecore.EEnum EXPRESSION_VARIABLE_TYPE

  The meta object literal for the '`Expression Variable Type`' enum.

  See Also:
    `ExpressionVariableType`, `DesignPackageImpl.getExpressionVariableType()`

### HORIZONTAL_ALIGNMENT

    static final org.eclipse.emf.ecore.EEnum HORIZONTAL_ALIGNMENT

  The meta object literal for the '`Horizontal Alignment`' enum.

  See Also:
    `HorizontalAlignment`, `DesignPackageImpl.getHorizontalAlignment()`

### INPUT_PROMPT_CONTROL_STYLE

    static final org.eclipse.emf.ecore.EEnum INPUT_PROMPT_CONTROL_STYLE

  The meta object literal for the '`Input Prompt Control Style`' enum.

  See Also:
    `InputPromptControlStyle`, `DesignPackageImpl.getInputPromptControlStyle()`

### NULL_ORDERING_TYPE

    static final org.eclipse.emf.ecore.EEnum NULL_ORDERING_TYPE

  The meta object literal for the '`Null Ordering Type`' enum.

  See Also:
    `NullOrderingType`, `DesignPackageImpl.getNullOrderingType()`

### ODA_COMPLEX_DATA_TYPE

    static final org.eclipse.emf.ecore.EEnum ODA_COMPLEX_DATA_TYPE

  The meta object literal for the '`Oda Complex Data Type`' enum.

  See Also:
    `OdaComplexDataType`, `DesignPackageImpl.getOdaComplexDataType()`

### ODA_SCALAR_DATA_TYPE

    static final org.eclipse.emf.ecore.EEnum ODA_SCALAR_DATA_TYPE

  The meta object literal for the '`Oda Scalar Data Type`' enum.

  See Also:
    `OdaScalarDataType`, `DesignPackageImpl.getOdaScalarDataType()`

### PARAMETER_MODE

    static final org.eclipse.emf.ecore.EEnum PARAMETER_MODE

  The meta object literal for the '`Parameter Mode`' enum.

  See Also:
    `ParameterMode`, `DesignPackageImpl.getParameterMode()`

### SESSION_STATUS

    static final org.eclipse.emf.ecore.EEnum SESSION_STATUS

  The meta object literal for the '`Session Status`' enum.

  See Also:
    `SessionStatus`, `DesignPackageImpl.getSessionStatus()`

### SORT_DIRECTION_TYPE

    static final org.eclipse.emf.ecore.EEnum SORT_DIRECTION_TYPE

  The meta object literal for the '`Sort Direction Type`' enum.

  See Also:
    `SortDirectionType`, `DesignPackageImpl.getSortDirectionType()`

### TEXT_FORMAT_TYPE

    static final org.eclipse.emf.ecore.EEnum TEXT_FORMAT_TYPE

  The meta object literal for the '`Text Format Type`' enum.

  See Also:
    `TextFormatType`, `DesignPackageImpl.getTextFormatType()`

### TEXT_WRAP_TYPE

    static final org.eclipse.emf.ecore.EEnum TEXT_WRAP_TYPE

  The meta object literal for the '`Text Wrap Type`' enum.

  See Also:
    `TextWrapType`, `DesignPackageImpl.getTextWrapType()`

### AXIS_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType AXIS_TYPE_OBJECT

  The meta object literal for the 'Axis Type Object' data type.

  See Also:
    `AxisType`, `DesignPackageImpl.getAxisTypeObject()`

### ELEMENT_NULLABILITY_OBJECT

    static final org.eclipse.emf.ecore.EDataType ELEMENT_NULLABILITY_OBJECT

  The meta object literal for the 'Element Nullability Object' data type.

  See Also:
    `ElementNullability`, `DesignPackageImpl.getElementNullabilityObject()`

### EXPRESSION_VARIABLE_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType EXPRESSION_VARIABLE_TYPE_OBJECT

  The meta object literal for the 'Expression Variable Type Object' data type.

  See Also:
    `ExpressionVariableType`, `DesignPackageImpl.getExpressionVariableTypeObject()`

### HORIZONTAL_ALIGNMENT_OBJECT

    static final org.eclipse.emf.ecore.EDataType HORIZONTAL_ALIGNMENT_OBJECT

  The meta object literal for the 'Horizontal Alignment Object' data type.

  See Also:
    `HorizontalAlignment`, `DesignPackageImpl.getHorizontalAlignmentObject()`

### INPUT_PROMPT_CONTROL_STYLE_OBJECT

    static final org.eclipse.emf.ecore.EDataType INPUT_PROMPT_CONTROL_STYLE_OBJECT

  The meta object literal for the 'Input Prompt Control Style Object' data type.

  See Also:
    `InputPromptControlStyle`, `DesignPackageImpl.getInputPromptControlStyleObject()`

### NULL_ORDERING_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType NULL_ORDERING_TYPE_OBJECT

  The meta object literal for the 'Null Ordering Type Object' data type.

  See Also:
    `NullOrderingType`, `DesignPackageImpl.getNullOrderingTypeObject()`

### ODA_COMPLEX_DATA_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType ODA_COMPLEX_DATA_TYPE_OBJECT

  The meta object literal for the 'Oda Complex Data Type Object' data type.

  See Also:
    `OdaComplexDataType`, `DesignPackageImpl.getOdaComplexDataTypeObject()`

### ODA_SCALAR_DATA_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType ODA_SCALAR_DATA_TYPE_OBJECT

  The meta object literal for the 'Oda Scalar Data Type Object' data type.

  See Also:
    `OdaScalarDataType`, `DesignPackageImpl.getOdaScalarDataTypeObject()`

### PARAMETER_MODE_OBJECT

    static final org.eclipse.emf.ecore.EDataType PARAMETER_MODE_OBJECT

  The meta object literal for the 'Parameter Mode Object' data type.

  See Also:
    `ParameterMode`, `DesignPackageImpl.getParameterModeObject()`

### SESSION_STATUS_OBJECT

    static final org.eclipse.emf.ecore.EDataType SESSION_STATUS_OBJECT

  The meta object literal for the 'Session Status Object' data type.

  See Also:
    `SessionStatus`, `DesignPackageImpl.getSessionStatusObject()`

### SORT_DIRECTION_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType SORT_DIRECTION_TYPE_OBJECT

  The meta object literal for the 'Sort Direction Type Object' data type.

  See Also:
    `SortDirectionType`, `DesignPackageImpl.getSortDirectionTypeObject()`

### TEXT_FORMAT_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType TEXT_FORMAT_TYPE_OBJECT

  The meta object literal for the 'Text Format Type Object' data type.

  See Also:
    `TextFormatType`, `DesignPackageImpl.getTextFormatTypeObject()`

### TEXT_WRAP_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType TEXT_WRAP_TYPE_OBJECT

  The meta object literal for the 'Text Wrap Type Object' data type.

  See Also:
    `TextWrapType`, `DesignPackageImpl.getTextWrapTypeObject()`